%define		status		stable
%define		pearname	Net_Socket
%include	/usr/lib/rpm/macros.php
Summary:	%{pearname} - network socket interface
Summary(pl.UTF-8):	%{pearname} - interfejs gniazd sieciowych
Name:		php-pear-%{pearname}
Version:	1.2.2
Release:	1
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{pearname}-%{version}.tgz
# Source0-md5:	7969d584a23e7695a3ae0399fc555fb3
URL:		http://pear.php.net/package/Net_Socket/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.654
Requires:	php-pear
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Net_Socket is a class interface to TCP sockets. It provides blocking
and non-blocking operation, with different reading and writing modes
(byte-wise, block-wise, line-wise and special formats like network
byte-order ip addresses).

In PEAR status of this package is: %{status}.

%description -l pl.UTF-8
Net_Socket to klasa z interfejsem do gniazd TCP. Umożliwia operacje
blokujące i nieblokujące, z różnymi trybami odczytu i zapisu
(bajtowym, blokowym, liniowym i specjalnymi formatami, jak bajty w
kolejności adresów sieciowych).

Ta klasa ma w PEAR status: %{status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/Net/*.php
%changelog
* Fri Mar 01 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pear-Net_Socket.git;a=log;h=master

* Fri Mar 01 2019 Adam Gołębiowski <adamg@pld-linux.org> 3394561
- updated to 1.2.2

* Thu Jul 18 2013 Elan Ruusamäe <glen@delfi.ee> bdb19f9
- 1.0.14 (released on 2013-05-24)

* Tue Nov 16 2010 Elan Ruusamäe <glen@pld-linux.org> 425687f
- updated to: 1.0.10

* Fri Jul 18 2008 Adam Gołębiowski <adamg@pld-linux.org> 737250f
- updated to 1.0.9

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> ef65208
- rel 2

* Sun Aug 26 2007 Adam Gołębiowski <adamg@pld-linux.org> 34600c6
- updated to 1.0.8

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> f1dad7f
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> ac6e6c7
- converted to UTF-8

* Tue Dec 19 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> dd6f6eb
- rel 4

* Tue May 23 2006 Elan Ruusamäe <glen@pld-linux.org> 793db89
- BR rpm-build macros >= 1.300 for %pear_ macros

* Tue Mar 07 2006 Elan Ruusamäe <glen@pld-linux.org> 1b34101
- BR php-pear-PEAR

* Sun Nov 20 2005 Elan Ruusamäe <glen@pld-linux.org> 2f98423
- rel 3

* Fri Sep 30 2005 Elan Ruusamäe <glen@pld-linux.org> df34078
- rel 2

* Mon Sep 19 2005 Elan Ruusamäe <glen@pld-linux.org> 08667d4
- integer BR

* Mon Sep 19 2005 Elan Ruusamäe <glen@pld-linux.org> 0ffdbc0
- use new pear packaging system

* Sun Mar 27 2005 Adam Gołębiowski <adamg@pld-linux.org> 21f5296
- updated to 1.0.6

* Wed Jan 12 2005 Adam Gołębiowski <adamg@pld-linux.org> c681d72
- updated to 1.0.5

* Mon Dec 13 2004 Adam Gołębiowski <adamg@pld-linux.org> d2972c3
- updated to 1.0.4

* Mon Dec 13 2004 Adam Gołębiowski <adamg@pld-linux.org> 895c455
- updated to 1.0.3

* Sat Dec 04 2004 Adam Gołębiowski <adamg@pld-linux.org> c119b7e
- rebuild with new PEAR provides/requires scripts
- release 2

